Demos
=====

### Sock Shop

This is a copy of the **Sock Shop** [microservices-demo](https://github.com/microservices-demo/microservices-demo)
application from _Weaveworks_. Modifications have been made to add labels
conforming to current [best practices](https://kubernetes.io/docs/concepts/overview/working-with-objects/common-labels/)

#### Minikube Deployment

The deployment procedure below is essentially the same as described in the
[documentation](https://microservices-demo.github.io/deployment/kubernetes-minikube.html)
and requires **Minikube** to be installed.

```
$ minikube start --memory 8192 --cpus 4
$ cd demo
$ kubectl create -f sock-shop
$ kubectl get pods --namespace="sock-shop"
```

#### Minikube Undeployment

Delete the _sock-shop_ namespace and its contents to undeploy.

```
$ kubectl delete all --all --namespace="sock-shop"
$ kubectl delete namespace "sock-shop"
```

#### Testing

Once the application is deployed, navigate to http://192.168.99.100:30001
to see the **Sock Shop** home page.
